/*
 * Copyright (c) 2012 - 2013 Alexandre Tuleu
 *
 * This file is part of biorob-cpp.
 *
 *   biorob-cpp is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as
 *   published by the Free Software Foundation, either version 3 of the
 *   License, or (at your option) any later version.
 *
 *   biorob-cpp is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of both the GNU General Public
 *   License AND GNU Lesser General Public License along with
 *   biorob-cpp.  If not, see <http://www.gnu.org/licenses/>.
 */


/**
 * \file base/SingletonUTest.cpp
 *
 *  \date Dec 20, 2010
 *  \author Alexandre Tuleu
 */

#include "SingletonUTest.h"

TEST(Singleton,Initialization){
	MySingleton<1> & ref1 = MySingleton<1>::Instance();
	MySingleton<2> & ref2 = MySingleton<2>::Instance();

	EXPECT_EQ(1,ref1.Value());
	EXPECT_EQ(2,ref2.Value());
}
